import { AnnotationLayerDescription } from "./AnnotationLayerDescription";
import { Type } from "./type";
/**
 * @hidden
 */
export declare class CrosshairLayerDescription extends AnnotationLayerDescription {
    static $t: Type;
    protected get_type(): string;
    constructor();
    private cw;
    get horizontalLineStroke(): string;
    set horizontalLineStroke(a: string);
    private cz;
    get verticalLineStroke(): string;
    set verticalLineStroke(a: string);
    private cy;
    get targetSeriesRef(): string;
    set targetSeriesRef(a: string);
    private b4;
    get useInterpolation(): boolean;
    set useInterpolation(a: boolean);
    private b2;
    get isAxisAnnotationEnabled(): boolean;
    set isAxisAnnotationEnabled(a: boolean);
    private c3;
    get xAxisAnnotationTextColor(): string;
    set xAxisAnnotationTextColor(a: string);
    private c1;
    get xAxisAnnotationBackground(): string;
    set xAxisAnnotationBackground(a: string);
    private cs;
    get xAxisAnnotationInterpolatedValuePrecision(): number;
    set xAxisAnnotationInterpolatedValuePrecision(a: number);
    private c2;
    get xAxisAnnotationOutline(): string;
    set xAxisAnnotationOutline(a: string);
    private b9;
    get xAxisAnnotationPaddingLeft(): number;
    set xAxisAnnotationPaddingLeft(a: number);
    private cb;
    get xAxisAnnotationPaddingTop(): number;
    set xAxisAnnotationPaddingTop(a: number);
    private ca;
    get xAxisAnnotationPaddingRight(): number;
    set xAxisAnnotationPaddingRight(a: number);
    private b8;
    get xAxisAnnotationPaddingBottom(): number;
    set xAxisAnnotationPaddingBottom(a: number);
    private ce;
    get yAxisAnnotationPaddingLeft(): number;
    set yAxisAnnotationPaddingLeft(a: number);
    private cg;
    get yAxisAnnotationPaddingTop(): number;
    set yAxisAnnotationPaddingTop(a: number);
    private cf;
    get yAxisAnnotationPaddingRight(): number;
    set yAxisAnnotationPaddingRight(a: number);
    private cd;
    get yAxisAnnotationPaddingBottom(): number;
    set yAxisAnnotationPaddingBottom(a: number);
    private cc;
    get xAxisAnnotationStrokeThickness(): number;
    set xAxisAnnotationStrokeThickness(a: number);
    private c6;
    get yAxisAnnotationTextColor(): string;
    set yAxisAnnotationTextColor(a: string);
    private c4;
    get yAxisAnnotationBackground(): string;
    set yAxisAnnotationBackground(a: string);
    private ct;
    get yAxisAnnotationInterpolatedValuePrecision(): number;
    set yAxisAnnotationInterpolatedValuePrecision(a: number);
    private c5;
    get yAxisAnnotationOutline(): string;
    set yAxisAnnotationOutline(a: string);
    private ch;
    get yAxisAnnotationStrokeThickness(): number;
    set yAxisAnnotationStrokeThickness(a: number);
    private c0;
    get verticalLineVisibility(): string;
    set verticalLineVisibility(a: string);
    private cx;
    get horizontalLineVisibility(): string;
    set horizontalLineVisibility(a: string);
    private b3;
    get skipUnknownValues(): boolean;
    set skipUnknownValues(a: boolean);
}
